package com.iamberry.sys;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 菜单实体类
 * @author 献
 * @company 深圳爱贝源科技有限公司
 * @website www.iamberry.com
 * @tel 18271840547
 * @date 2017/5/12
 */
public class Menu implements Serializable{

    private static final long serialVersionUID = -1122142514158482727L;

    private Integer menuId;                 // id

    private String menuName;                // 菜单名称

    private Integer menuStatus;             // 状态 1：正常使用；2：已停止使用

    private String menuIcon;                // 图标

    private Date menuCreateTime;            // 创建时间

    private List<SubMenu> subMenus;         // 所属的二级菜单

    public List<SubMenu> getSubMenus() {
        return subMenus;
    }

    public void setSubMenus(List<SubMenu> subMenus) {
        this.subMenus = subMenus;
    }

    public void setMenuId(Integer menuId) {
        this.menuId = menuId;
    }

    public void setMenuName(String menuName) {
        this.menuName = menuName;
    }

    public void setMenuStatus(Integer menuStatus) {
        this.menuStatus = menuStatus;
    }

    public void setMenuIcon(String menuIcon) {
        this.menuIcon = menuIcon;
    }

    public void setMenuCreateTime(Date menuCreateTime) {
        this.menuCreateTime = menuCreateTime;
    }

    public Integer getMenuId() {
        return menuId;
    }

    public String getMenuName() {
        return menuName;
    }

    public Integer getMenuStatus() {
        return menuStatus;
    }

    public String getMenuIcon() {
        return menuIcon;
    }

    public Date getMenuCreateTime() {
        return menuCreateTime;
    }
}
